#define __NEW_STARLET
#include <syidef.h>
#include <stdlib.h>
#include <starlet.h>
#include <iledef.h>
#include <stdio.h>
#include <descrip.h>
#include <lib$routines.h>
#include <iosbdef.h>
#include <iccdef.h>

#include <ssdef.h>
#include <stsdef.h>
#include <iosbdef.h>
#include <iodef.h>

#define check(STS) if(!$VMS_STATUS_SUCCESS(STS)) sys$exit(STS)
#define MAX_NODE_NAME 15
#define MAX_BUFF 1000
#define NUM_MSGS 1000000

int  main (void) {
  int         status;
  int         i;
  int         a_handle;
  int         c_handle;
  unsigned short   channel;
  int         acc_len;
  IOSB        iosb;
  char        info[MAX_BUFF];
  $DESCRIPTOR(mbxName, "SIMPLE_SERVER_MBX");

  /* Connect. */
  printf ("connect request.\n");
  status = sys$assign (
               &mbxName, 
               &channel, 
               0, 
               0, 
               0);
  check (status);

  status = lib$init_timer(0);
  check (status);

  /* Accept and display the first NUM_MSGS messages sent to us. */
  for (i = 0; i < NUM_MSGS; i++) {
    status = sys$qiow(0, channel, IO$_READVBLK, &iosb, 0, 0, 
		      &info, sizeof(info), 0, 0, 0, 0);
    check (status);
    check (iosb.iosb$w_status);
/*
    printf ("Read %d bytes\n", icc_iosb.ios_icc$l_rcv_len);
    printf ("Read \"%s\"\n", info);
*/
  }

  status = lib$show_timer(0, 0, 0, 0);
  check (status);

  status = sys$dassgn(channel);
  check (status);

  return (EXIT_SUCCESS);
}
